---
updatedAt: 2026-04-07T10:13:27.000Z
agentTools:
  siteIndex: https://developers.liveramp.com/llms.txt
  projectIndex: https://developers.liveramp.com/activation-api/llms.txt
---

# Fetch a list of OAuth Connections

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Activation API",
    "description": "An API for destination management and segment delivery",
    "version": "2.9.0"
  },
  "servers": [
    {
      "description": "Production API server",
      "url": "https://api.liveramp.com/activation"
    }
  ],
  "tags": [
    {
      "name": "OAuth Configuration",
      "description": ""
    }
  ],
  "paths": {
    "/v2/oauth-connections": {
      "get": {
        "tags": [
          "OAuth Configuration"
        ],
        "operationId": "Get v2/OauthConnections",
        "description": "",
        "summary": "Fetch a list of OAuth Connections",
        "responses": {
          "200": {
            "description": "v2/OauthConnections retrieved successfully",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v2OauthConnectionMultiResponse"
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/StandardError"
                }
              }
            }
          }
        },
        "parameters": [
          {
            "in": "query",
            "name": "limit",
            "description": "Number of v2/OauthConnections to return",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 10,
              "minimum": 1,
              "maximum": 100
            }
          },
          {
            "in": "query",
            "name": "after",
            "description": "This value is a cursor that enables continued paginated queries. Its value can be found under \"_pagination.after\" in the previous response from this endpoint.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "oAuthEndpointID",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Bearer Authorization using the access token generated with your service account",
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "LiveRamp Org ID to make requests as. Starting Jan 2022, this is recommended over the Liveramp Customer ID header",
            "in": "header",
            "name": "LR-Org-ID",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "v2OauthConnectionOutput": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "oAuthEndpointID": {
            "type": "string"
          },
          "createdAt": {
            "type": "string",
            "format": "ISO8601 UTC date-time",
            "example": "2019-04-13T03:35:34Z"
          },
          "updatedAt": {
            "type": "string",
            "format": "ISO8601 UTC date-time",
            "example": "2019-04-13T03:35:34Z"
          }
        },
        "required": [
          "id",
          "name",
          "oAuthEndpointID",
          "createdAt",
          "updatedAt"
        ],
        "description": "Represents an OAuth credential for a given OAuth Endpoint that the user has permission to use"
      },
      "v2OauthConnectionMultiResponse": {
        "type": "object",
        "properties": {
          "v2/OauthConnections": {
            "description": "Array of retrieved v2/OauthConnections",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v2OauthConnectionOutput"
            }
          },
          "_pagination": {
            "$ref": "#/components/schemas/v2OauthConnectionMultiResponsePagination"
          }
        }
      },
      "StandardError": {
        "type": "object",
        "properties": {
          "httpStatus": {
            "description": "HTTP error status code for this problem",
            "type": "integer",
            "format": "int32"
          },
          "errorCode": {
            "description": "Service specific error code, more granular",
            "type": "string"
          },
          "message": {
            "description": "General, human readable error message",
            "type": "string"
          }
        },
        "required": [
          "httpStatus",
          "errorCode",
          "message"
        ]
      },
      "v2OauthConnectionMultiResponsePagination": {
        "type": "object",
        "properties": {
          "after": {
            "type": "string",
            "nullable": true,
            "description": "This field is a cursor to be passed as a query parameter in subsequent, paginated queries.\nIt allows the next request to begin from where the current request left off.\nWhen \"after\" is  null, there are no more records to fetch."
          },
          "total": {
            "type": "integer",
            "nullable": false,
            "description": "The total number of results."
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": true
  }
}
```